Subject: Re: Katmai w/ DENX git - "init has generated signal 4" error

From: Valentine Barshak <[email-masked]>
Date: Tue, 26 Jun 2007 21:58:23 +0400

Josh Boyer wrote:
> On Tue, 2007-06-26 at 12:02 -0400, Stephen Winiecki wrote:
>   
>>> I'm using the Denx linux-2.6-denx.git repository with a Katmai board. I 
>>> want to boot off a disk (initialized w/ Debian 4.0).  I've installed a 
>>> Promise Ultra133 Tx2 IDE controller card in the PCI slot, and configured 
>>>       
>>> it in the kernel.    I boot this same disk w/ IDE card on other 4xx 
>>>       
>> boards 
>>     
>>> without a problem (Bamboo w/ Denx 4.1 for example).  I am getting an 
>>>       
>> error 
>>     
>>> "init has generated signal 4 but has no handler for it".
>>>       
>> I believe the problem may be due to lack of HW FP on the processor(?). 
>> Copying an embedded 440 RFS on disk works OK.
>>     
>
> Signal 4 is SIGILL, which could be returned for float instructions I
> suppose.  Try turning on CONFIG_MATH_EMULATION in your kernel config for
> Katmai and see if the problem goes away.
>
> josh
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>   
Looks like 440SPe entry  is missing in the arch/ppc/kernel/cputable.c
Thanks.